package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Clasificacion;
import com.cosmodas.EntCosmos.Productos;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class ClasificacionFacade extends AbstractFacade<Clasificacion> implements ClasificacionFacadeLocal {
    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public ClasificacionFacade() {
        super(Clasificacion.class);
    }
}
